# -*- coding: utf-8 -*-
"""
Created on Tue Jan 28 09:34:01 2014

@author: Christian Monstein
"""


from astropy.io import fits
import numpy as np
import matplotlib.pyplot as plt 
from matplotlib import cm



files = 'BLENSW_20140128_113000_59.fit.gz'


fds = fits.open(files)
data = fds[0].data
freqs = fds[1].data['frequency'][0]
time = fds[1].data['time'][0]
fds.close()

dmean = np.mean(data[:,1:5], axis=1,keepdims=True) # all frequencies, time range in pixels
bgs = data - dmean # subtraction background

extent = (time[0], time[-1], freqs[-1], freqs[0])

vmin = -3
vmax = 45
plt.imshow(bgs, aspect = 'auto',cmap=cm.gnuplot2, extent = extent,norm=plt.Normalize(vmin, vmax))
plt.xlabel('Time [s]')
plt.ylabel('Frequency [MHz]')
plt.title('Solar radio burst Callisto Bleien')
plt.xlim(100,500)
plt.ylim(17,78)

plt.show()
plt.savefig('bleien.png')